import { CMaterialStanderType, CMaterialType, SnippetsType } from '../types/material';
export declare class CMaterial {
    private rawData;
    private data;
    constructor(data: CMaterialType);
    get value(): CMaterialStanderType;
    get rawValue(): CMaterialType;
    get componentName(): string;
    get snippets(): import('../types/material').SnippetsStanderType[];
    getSnippetById(id: string): import('../types/material').SnippetsStanderType | undefined;
}
export declare const checkMaterials: (data: CMaterialType[]) => void;
export type SnippetsCollection = {
    name: string;
    list: {
        name: string;
        list: SnippetsType[];
    }[];
}[];
export declare class CMaterials {
    private rawData;
    private data;
    usedMaterials: CMaterial[];
    constructor(data: CMaterialType[]);
    addMaterials(data: CMaterialType[]): void;
    replaceMaterials(data: CMaterialType[]): void;
    removeMaterial(componentNames: string[]): void;
    findByComponentName(componentName: string): CMaterial | undefined;
    findSnippetById(id: string): import('../types/material').SnippetsStanderType | null | undefined;
    getAllSnippets(): SnippetsCollection;
    get value(): CMaterial[];
    get rawValue(): CMaterialType[];
}
