import { CNode } from '.';
import { ExportType } from '../../../const/schema';
import { CMaterials } from '../../../Material';
import { RenderPropType } from '../../../types/node';
import { DataModelEmitterType } from '../../../util/modelEmitter';
import { CProp } from './prop';
export type CJSSlotPropDataType = Omit<RenderPropType, 'value'> & {
    value: CNode[];
};
export declare class CSlot {
    nodeType: "SLOT";
    private rawData;
    parent: CProp | null;
    emitter: DataModelEmitterType;
    private data;
    id: string;
    materialsMode: CMaterials;
    constructor(data: RenderPropType, options?: {
        parent: CProp | null;
        materials: CMaterials;
    });
    get value(): CJSSlotPropDataType;
    export(mode: ExportType): any;
}
