export declare const HTMl_TAGS: string[];
export declare enum SetterTypeEnum {
    STRING_SETTER = "StringSetter",
    BOOLEAN_SETTER = "BooleanSetter",
    JSON_SETTER = "JSONSetter",
    SELECT_SETTER = "SelectSetter",
    NUMBER_SETTER = "NumberSetter",
    EXPRESSION_SETTER = "ExpressionSetter",
    FUNCTION_SETTER = "FunctionSetter",
    COMPONENT_SETTER = "ComponentSetter",
    TEXT_AREA_SETTER = "TextAreaSetter",
    COLOR_SETTER = "ColorSetter",
    AntDColorSetter = "AntDColorSetter",
    RadioGroupSetter = "RadioGroupSetter",
    ActionFlowSetter = "ActionFlowSetter"
}
export type SetterBasicType = string;
export declare enum ComplexSetterTypeEnum {
    SHAPE_SETTER = "ShapeSetter",
    ARRAY_SETTER = "ArraySetter"
}
export type AssetItem = {
    id?: string;
    type?: 'CSS' | 'JS';
    src: string;
};
export type AssetPackage = {
    id?: string;
    package: string;
    globalName: string;
    resources: AssetItem[];
};
export type LibMetaType = {
    package: string;
    name: string;
    version: string;
    exportName?: string;
    destructuring?: boolean;
    cssPaths?: string[];
    subName?: string;
    main?: string;
};
export declare const LibMetaTypeDescribe: import('superstruct').Struct<{
    package: string;
    version: string;
    name: string;
    exportName?: string | undefined;
    destructuring?: boolean | undefined;
    subName?: string | undefined;
    main?: string | undefined;
    cssPaths?: string[] | undefined;
}, {
    package: import('superstruct').Struct<string, null>;
    version: import('superstruct').Struct<string, null>;
    name: import('superstruct').Struct<string, null>;
    exportName: import('superstruct').Struct<string | undefined, null>;
    destructuring: import('superstruct').Struct<boolean | undefined, null>;
    subName: import('superstruct').Struct<string | undefined, null>;
    main: import('superstruct').Struct<string | undefined, null>;
    cssPaths: import('superstruct').Struct<string[] | undefined, import('superstruct').Struct<string, null>>;
}>;
export declare const ThirdLibTypeDescribe: import('superstruct').Struct<{
    package: string;
    version: string;
    name: string;
    exportName?: string | undefined;
    destructuring?: boolean | undefined;
    subName?: string | undefined;
    main?: string | undefined;
    cssPaths?: string[] | undefined;
}[], import('superstruct').Struct<{
    package: string;
    version: string;
    name: string;
    exportName?: string | undefined;
    destructuring?: boolean | undefined;
    subName?: string | undefined;
    main?: string | undefined;
    cssPaths?: string[] | undefined;
}, {
    package: import('superstruct').Struct<string, null>;
    version: import('superstruct').Struct<string, null>;
    name: import('superstruct').Struct<string, null>;
    exportName: import('superstruct').Struct<string | undefined, null>;
    destructuring: import('superstruct').Struct<boolean | undefined, null>;
    subName: import('superstruct').Struct<string | undefined, null>;
    main: import('superstruct').Struct<string | undefined, null>;
    cssPaths: import('superstruct').Struct<string[] | undefined, import('superstruct').Struct<string, null>>;
}>>;
export type MaterialAssetPackage = {
    name: string;
    material: AssetPackage;
    component: AssetPackage;
    version?: string;
};
export type CSSValue = {
    /**  'normal' | 'hover' | 'active' | 'focus' etc */
    state: string;
    media?: {
        type: 'max-width';
        value: string;
        text?: string;
    }[];
    text?: string;
};
export type CSSType = {
    class?: string;
    value: CSSValue[];
};
/** 基础的组件列表 */
export declare const BaseComponentTagList: string[];
export type DropPosType = {
    direction: 'vertical' | 'horizontal';
    pos: 'before' | 'after' | 'current';
};
export type DesignerInjectProps = {
    $SET_DOM?: (dom: HTMLElement) => void;
};
/** 存储开发过程中的中间态配置，不影响渲染 */
export declare const DEV_CONFIG_KEY = "__DEV_CONFIG__";
