import { CPage } from '../Page';
import { CRootNode } from '../Page/RootNode';
import { CNode } from '../Page/RootNode/Node';
import { CProp } from '../Page/RootNode/Node/prop';
import { CSlot } from '../Page/RootNode/Node/slot';
import { FunctionPropType, JSExpressionPropType, RenderPropType, TActionLogicItem } from '../types/node';
export declare const isExpression: (val: any) => val is JSExpressionPropType;
export declare const isJSSlotPropNode: (val: any) => val is RenderPropType;
export declare const isFunction: (val: any) => val is FunctionPropType;
export declare const isAction: (val: any) => val is TActionLogicItem;
export declare const getRandomStr: () => string;
export declare const isSchemaModel: (val: any) => val is CRootNode;
export declare const isPageModel: (val: any) => val is CPage;
export declare const isNodeModel: (val: any) => val is CNode;
export declare const isPropModel: (val: any) => val is CProp;
export declare const isSlotModel: (val: any) => val is CSlot;
/**
 *
 * @param res clear empty array and object
 */
export declare const clearSchema: (res: any) => any;
export declare function findNode(nodeTree: CRootNode | CNode, iterator: (item: CNode | CRootNode) => boolean): CNode | CRootNode | undefined;
export declare function getNode(nodeTree: CRootNode | CNode, id: string): CNode | CRootNode | undefined;
export declare function findContainerNode(node: CNode | CRootNode | CSlot | CPage | null | undefined): CNode | CRootNode | CSlot | CPage | undefined;
type CBFunction = (node: CNode | CRootNode) => any;
/** 遍历 page 上所有的节点 */
export declare const traversePageNode: (pageModel: CPage, cb: CBFunction) => void;
export declare const traversePageNodeCore: (node: CNode | CRootNode | (CNode | CRootNode)[], cb: CBFunction) => void;
export {};
